[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TGetPickListEvent

Specifies an event handler signalled when loading the PickList for an item in TValueListEditor.

## Declaration

Source position: valedit.pas line 112

`type TGetPickListEvent = procedure(`
`Sender: TObject;`
`const KeyName: string;`
`Values: TStrings`
`) of object;`

## Arguments

`Sender` |  | TValueListEditor for the event notification.
`KeyName` |  | Key name for the selected row.
`Values` |  | Pick list values for the selected row.

## Description

TGetPickListEvent is an object procedure which specifies an event handler signalled when loading the PickList for an item in TValueListEditor. TGetPickListEvent allows the application to provide custom values in the PickList for an item using the esPickList editor style.

TGetPickListEvent is the type used for the TValueListEditor.OnGetPickList event handler.

## See also

TValueListEditor.OnGetPickList |  | Event handler signalled to load values for the PickList in an item.